| Home | Libraries | People | FAQ | More

#### windows::basic_handle::operator=

Move-assign a `windows::basic_handle` from another.

    basic_handle & operator=(
        basic_handle && other);

This assignment operator moves a handle from one object to another.

###### Parameters

other

  The other `windows::basic_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_handle(io_service&) constructor`.